
#include <layout/numbers.hh>
#include <iostream.h>
#include <stdexcept>

int main(int argc, char **argv)
	{
	layout::length ml;
	try {
		if(argc>1) ml=layout::length(argv[1]);
		else       ml=layout::length("12pt");

		cout << ml << " equals" << endl
			  << ml.pixels(95.0) << "px (with 95dpi)" << endl
			  << ml.convert(layout::length::cm) << "cm" << endl;
		}
	catch(exception& ex) {
		cerr << ex.what() << endl;
		return 1;
		}
	
	return 0;
	}
