#ifndef SSOCKETH
#define SSOCKETH

/*
#include <netdb.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <unistd.h>
#include <netinet/in.h>
*/

#include <errno.h>
#include <signal.h>
#define  USE_SOCKETS
#include "e_os.h"
#include "bio.h"
#include "buffer.h"
#include "conf.h"
#undef   USE_SOCKETS

#ifdef WIN16
#define SOCKET_PROTOCOL	0 /* more microsoft stupidity */
#else
#define SOCKET_PROTOCOL	IPPROTO_TCP
#endif

#ifdef WINDOWS
static struct WSAData wsa_state;
static int wsa_init_done=0;

#ifdef WIN16
static HWND topWnd=0;
static FARPROC lpTopWndProc=NULL;
static FARPROC lpTopHookProc=NULL;
extern HINSTANCE _hInstance;  /* nice global CRT provides */

static LONG FAR PASCAL topHookProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam);
static BOOL CALLBACK enumproc(HWND hwnd,LPARAM lParam);

#endif /* WIN32 */
#endif /* WINDOWS */

void sock_cleanup();
int sock_init();
int init_client(int *sock, char *host, int port);
int init_client_ip(int *sock, unsigned char ip[4], int port);
int nbio_sock_error(int sock);
int nbio_init_client_ip(int *sock, unsigned char ip[4], int port);
int do_server(int port, int *ret, int (*cb)(char *, int));
int init_server_long(int *sock, int port, char *ip);
int init_server(int *sock, int port);
int do_accept(int acc_sock, int *sock, char **host);
int extract_host_port(char *str, char **host_ptr, unsigned char *ip,short *port_ptr);
int host_ip(char *str, unsigned char ip[4]);
int extract_port(char *str, short *port_ptr);
/*
#define GHBN_NUM	4
static struct ghbn_cache_st
	{
	char name[128];
	struct hostent ent;
	unsigned long order;
	} ghbn_cache[GHBN_NUM];

static unsigned long ghbn_hits=0L;
static unsigned long ghbn_miss=0L;

static struct hostent *GetHostByName(char *name);
*/

#ifndef MSDOS
int spawn(int argc, char **argv, int *in, int *out);
#endif /* MSDOS */


#endif // SSOCKETH defined
