
#ifndef texpp_commands_hh_
#define texpp_commands_hh_

class cat {
   public:
	  enum code { escape=0, left_brace, right_brace, math_shift, tab_mark, car_ret,
				  out_param, mac_param, sup_mark, sub_mark, ignore, endv, spacer,
				  letter, other_char, active_char, par_end, match, comment, 
				  end_match, stop, invalid_char, delim_num };
};

class command {
   public:
	  enum code  { escape=0, relax=0, left_brace, right_brace, math_shift, tab_mark,
				   car_ret, out_param, mac_param, sup_mark, sub_mark, ignore, endv,
				   spacer, letter, other_char, active_char, par_end, match,
				   comment, end_match, stop, invalid_char, delim_num, max_char_code,
				   
				   char_num, math_char_num, mark, xray, make_box, hmove, vmove,
				   un_hbox, un_vbox, remove_item, hskip, vskip, mskip, kern, mkern,
				   leader_ship, halign, valign, no_align, vrule, hrule, insert,
				   vadjust, ignore_spaces, after_assignment, after_group,
				   break_penalty, start_par, ital_corr, accent, math_accent,
				   discretionary, eq_no, left_right, math_comp, limit_switch,
				   above, math_style, math_choice, non_script, vcenter, case_shift,
				   message, extension, in_stream, begin_group, end_group, omit, 
				   ex_space, no_boundary, radical, end_cs_name, min_internal, 
				   char_given, math_given, last_item, max_non_prefixed_command,
				   
				   toks_register, assign_toks, assign_int, assign_dimen, assign_glue,
				   assign_mu_glue, assign_font_dimen, assign_font_int, set_aux,
				   set_prev_graf, set_page_dimen, set_page_int, set_box_dimen,
				   set_shape, def_code, def_family, set_font, def_font, tregister,
				   max_internal, tadvance, multiply, divide, prefix, let, shorthand_def,
				   read_to_cs, def, set_box, hyph_data, set_interaction, max_command,
				   
				   undefined_cs, expand_after, no_expand, input_c, if_test, fi_or_else,
				   cs_name, convert, the, top_bot_mark, call, long_call, outer_call,
				   long_outer_call, end_template, dont_expand, glue_ref, shape_ref,
				   box_ref, data
	  };
};

#endif
