/*
Project Mnemonic - Roman Numerals helper function
Copyright (C) 1998 - Alejandro J. Cura

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Loosely based on Convert-O-Roman v1.0.0, public domain.
by Morten Wang, 1996. [warmor@hs.nki.no] & [warnckew@aft.sn.no]
Adapted to <string> and optimized a bit by alecu, 1998. [alecu@mnemonic.org]

Compile with:
	$ g++ -DSTANDALONE -o roman roman.cc

Test:
	$ ./roman 1998
	$ ./roman
*/

#include <string>

int int2roman(int num, string &buf, bool lowercase=false);
