theINCLUDE

theHEADER(mRunClient (in msg_client))


SECTION([Syntax], [
<code>#include &lt;<a href="../include/msg/client/mRunClient.h">msg/client/mRunClient.h</a>&gt;<br>
mRunClient (int *ac, char ***av);</code>
])
SECTION([mRunClient], [
Will start up the client manager. It wants pointers to the argv/argc parameters passed to to main(), as the clientmanager takes care of toolkit specific options.
])
SECTION([Example], [
This message is usually used in main() to start up things:
<pre>
main(int argc, char **argv)
   {
   ObjectManager::instance().LoadInterests();
   try 
          { mRunClient mr(&argc,&argv);
            mr.Send();
          }
   catch(exception& ex)
          { cerr << "[exception]: " << ex.what() << endl;
          }
   }
</pre>
])
theFOOTER
