
/*
  A very simple program to send a single msg_run_client message.
  This is a temporary mechanism; a message shell is in the making
  which will allow for much more than just this. [Kasper]
*/

#include <mnemonic/debugger.hh>
#include <mnemonic/objectmanager.hh>
#include <msg/client/run_client.hh>

//#include <locale.h>

int main(int argc, char **argv)
	{
/*	This is no longer needed, iconv will be fine and that is supported in glibc-2.1.

<li><strong><a href="ftp://ftp.ilog.fr/pub/Users/haible/utf8/libutf8-0.6.2.tar.gz">libutf8</a></strong><br>
As glibc-2.1 does not yet have support for conversion from Unicode wide characters
to UTF-8 encoding, you need this additional library (but only if you need foreign
character or mathematics support). For more information, see the 
<a href="ftp://ftp.ilog.fr/pub/Users/haible/utf8/Unicode-HOWTO.html">Unicode HOWTO</a>.
<p>


	setlocale(LC_ALL,"en_US.UTF-8");

	wchar_t tmp[2];
	tmp[0]=0x222B;
	tmp[1]=0;
	char buf[100];

	if(wcstombs(buf, tmp, 100)==-1 ||
		buf[0]!=-30 || buf[1]!=-120 || buf[2]!=-85) {
		cerr << "You do not have a system with working LOCALE support." << endl
			  << "On Linux/GNU systems running glibc-2.1, you will need" << endl
			  << "to preload libutf8_plugin.so. If you don't do this, the" << endl 
			  << "internal UTF-8 encoding used by Mnemonic to handle foreign" << endl
			  << "characters and mathematical symbols will not work." << endl << endl
			  << "Of course, if you do not need those symbols, you can ignore" << endl
			  << "this message." << endl;
		}
		*/

	int ac=1;

	while (ac < argc && argv[ac][0] == '-') {
		switch (argv[ac][1]) {
#ifdef DEBUG
			case 'd':
				debugger::instance().turn_on(argv[ac]+2);
				break;
#endif
			}
		++ac;
		}

	try {
		object_manager::instance().load_interests();
		}
	catch(exception& ex) {
		cerr << "exception: " << ex.what() << endl;
		exit(1);
		}

	try {
		msg_run_client msg(&argc,&argv);
		msg.send();
		}
	catch(messagebase_error& er) {
		cerr << er << endl;
		}
	catch(exception& ex) {
		cerr << "exception: " << ex.what() << endl;
		}
	object_manager::instance().free_instance();

	return 0;
	}
