// -*- mode: C++; c-file-style: "mnemonic"; -*-

/*
  Please send bugs, changes, problems to bugs@mnemonic.browser.org

  This program and its components are free software; you can
  redistribute it and/or modify it under the terms of the GNU General
  Public License as published by the Free Software Foundation; either
  version 2, or (at your option) any later version.

  This program and its components are distributed in the hope that it
  will be useful, but WITHOUT ANY WARRANTY; without even the implied
  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
  the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License in
  the file COPYING accompanying this program; if not, write to the
  Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef mTest_h__
#define mTest_h__

#include <mnemonic/messagebase.hh>

class mTest : public message<mTest> {
	public:
		mTest(void);
		int number;
};

class mTest_derived : public mTest, public message<mTest_derived> {
	public:
		virtual untyped_message::send_result send(void);
		int extra;
};

#endif
