m4_include(common.h)

theHEADER(mkeyLinkClicked (in msg_display))


SECTION([Syntax], [
<code>#include &lt;<a href="../include/msg/display/mkeyLinkClicked.h">msg/display/mkeyLinkClicked.h</a>&gt;<br>
mkeyLinkClicked (int id, const string &href, int button);</code>
])
SECTION([mkeyLinkClicked], [
This message is send by the display when a link is clicked. It is keyed on the display id and contains a <code>const string &href</code> member with the clicked link's href and a <code>int button</code> member indicating which button was pressed.
])
SECTION([Example], [
<pre>

InterestByKey<Browser,mkeyLinkClicked, int> *interestLinkClicked;
interestLinkClicked = new InterestByKey<Browser,mkeyLinkClicked, int>(
  this,&Browser::GotoURLMess);
interestLinkClicked->AddKey(connNewId);

int Browser::GotoURLMess(mkeyLinkClicked &m) {
	if (m.button == 1) {
		cout &lt;&lt;m.href&lt;&lt;" was clicked!"&lt;&lt;endl;
	}
  return 0;
}

</pre>
])
theFOOTER
