// -*- mode: C++; c-file-style: "mnemonic"; -*-

/*
  Demo OIL, interface.

  Please send bugs, changes, problems to bugs@mnemonic.browser.org

  This program and its components are free software; you can
  redistribute it and/or modify it under the terms of the GNU General
  Public License as published by the Free Software Foundation; either
  version 2, or (at your option) any later version.
 
  This program and its components are distributed in the hope that it
  will be useful, but WITHOUT ANY WARRANTY; without even the implied
  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
  the GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License in
  the file COPYING accompanying this program; if not, write to the
  Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#include <mnemonic/dlobject.hh>
#include <msg/demo/mTest.h>

#ifndef testoil_h__
#define testoil_h__

class testoil : public dlobject {
   public:
		testoil(void);
		virtual ~testoil(void);
		untyped_interest::callresult accept_mTest(mTest&);
		untyped_interest::callresult accept_mTest_priority(mTest&);
		untyped_interest::callresult accept_mTest_derived(mTest_derived&);
   private:
		void dosomething(void);

		ptr<interest<testoil,mTest> >         interest_mTest_;
		ptr<interest<testoil,mTest> >         interest_mTest_priority_;
		ptr<interest<testoil,mTest_derived> > interest_mTest_derived_;
};


#endif
