<!-- _GP_
# undef all the functions we're defining. This stops lots of
# complaining about re-defining the sub for each content file thats
# processed.

       if (defined(&who)) { undef &who; }
       if (defined(&where)) { undef &where; }
       if (defined(&when)) { undef &when; }
       if (defined(&section_header)) { undef &section_header; }
       if (defined(&toolbar_header)) { undef &toolbar_header; }
 -->

<!--  _GP_ 
# These functions are defined here as straightforward perl - remember
# to undef them first if you don't want perl complaining about lots of 
# subroutine re-definitions if genpage is processing more than one 
# content file.
#
# The reason is that the template is evaluated from scratch for each
# new content file.
#
# Hence, it is probably good practise to undef everything you define
# within the scope of a layout file before you start

    sub who { 
         my $ret=`/usr/bin/whoami`;
         chop $ret;
        return ($ret); 
    }

    sub when { 
        my $ret=`/bin/date`;
        chop $ret;
        return ($ret);
    }  

    sub where { 
        my $ret=`/bin/hostname -f`;
        chop $ret;
        return ($ret);
    }  

    sub section_header {
  	     my $ret = <<EOT;
        <p><table border="0" cellpadding="3" cellspacing="0" width="100%">
        <tr>
        <td width="100%" align="left" bgcolor="#203060">
        <font face="Arial,Helvetica" color="#FFFFFF"><big>@_</big>
        </font>
        </td>
        </tr>
        </table><p>
EOT
        return $ret;
    }

    sub toolbar_header {
	     my $ret = <<EOT;
        <table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr><td width="100%" align="left" bgcolor="#203060">
        <font face="Arial,Helvetica" color="#ffffff"><big>@_</big>
        </font>
        </td>
        </tr>
        </table>
EOT
        return $ret;
   }
 -->
