
#include <cursesapp.h>
#include <cursesm.h>
#include <cursesf.h>

class testapp : public NCursesApplication {
	public:
		testapp(void);
		int run(void);
};

class testform : public NCursesForm {
	public:
		testform(void);
		~testform(void);
	private:
		NCursesFormField **F;
		Integer_Field *ift;
		Enumeration_Field *eft;
		static char *weekdays[];
};

testform::testform(void) : NCursesForm(7,15,(lines()-15)/2,(cols()-53)/2)
	{
	F    = new NCursesFormField*[2];
	ift  = new Integer_Field(0,1,10);
	F[0] = new NCursesFormField(1,12,0,0);
	F[1] = new NCursesFormField();
	InitForm(F,TRUE,TRUE);
	boldframe();
	F[0]->set_fieldtype(*ift);
	this->addstr(2,1,"It works!");
	}

testform::~testform()
	{
	delete ift;
//	delete [] F; // ?
	}

testapp::testapp(void) : NCursesApplication(TRUE)
	{
	}



int testapp::run(void)
	{
	NCursesPanel *pan=new NCursesPanel();

	pan->box();
	pan->boldframe("Learning Ncurses++");
	pan->refresh();
	testform frm;
	frm();
	sleep(5);
	return 0;
	}

static testapp demo;
