
/* Experimental code to play around with T1lib in combination with Gtk/Gdk. */

#include <t1lib.h>
#include <t1libx.h>
#include <gtk--/main.h>
#include <gtk--/window.h>
#include <gtk--/layout.h>
#include <gdk/gdkx.h>

class t1window : public Gtk_Window {
	public:
		t1window(void) {};
		void realize_impl(void);
	private:
		Gtk_Layout layout_;
};

void t1window::realize_impl(void)
	{
	Gtk_Window::realize_impl();
	T1_SetX11Params(GDK_COLORMAP_XDISPLAY( get_colormap().gdkobj() ),
						 GDK_VISUAL_XVISUAL(	get_visual().gdkobj() ),
						 gdk_visual_get_best_depth(),
						 GDK_COLORMAP_XCOLORMAP( get_colormap().gdkobj() )
						 );

	/*
   T1_AASetStringX(Drawable d, GC gc, int mode, int x, int y,
	int FontID, char *string, int len, long spaceoff, int kerning,
	float size, T1_TMATRIX *transform);

	 */
	add(layout_);
	layout_.show();
	}

/*	T1_AASetStringX(layout_->GDK_WINDOW_XWINDOW(gtkobj()->window),
						 GDK_GC_XGC( gdk_rgb_get_cmap() ),
						 0, 10, 10, 0, "test", 4, 0, 0, 30, NULL); */


int main(int argc, char **argv)
	{
	Gtk_Main   mymain(&argc,&argv);
	gdk_rgb_init();

	t1window mywindow;

	mywindow.show();
	mymain.run();
	}
