// -*- mode: C++; c-file-style: "mnemonic"; -*-

/*
  Output device independent layout algorithms, interface.

  Copyright 1999, 2000 Kasper Peeters.

  Please send bugs, changes, problems to bugs@mnemonic.browser.org

  This program and its components are free software; you can
  redistribute it and/or modify it under the terms of the GNU General
  Public License as published by the Free Software Foundation; either
  version 2, or (at your option) any later version.
 
  This program and its components are distributed in the hope that it
  will be useful, but WITHOUT ANY WARRANTY; without even the implied
  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
  the GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License in
  the file COPYING accompanying this program; if not, write to the
  Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/




#ifndef interactive_hh_
#define interactive_hh_

#include <layout/boxes.hh>

namespace layout {

 class button_box : public box {
 };

 class text_entry_box : public box {
 };

 class list_box : public box {
 };

 class radio_box : public box {
 };
 
 class combo_box : public box {
 };

};

#endif
