class delimiter {
	public:
		
};

class math_symbol_base {  // the analogon of box_base for the maths subtree
	public:
		virtual void draw();
};

class layout_import_box_base : public math_symbol_base {
	public:
	protected:
		box_base *layoutbox_;
};

class math_symbol : public math_symbol_base {
	public:
		enum spacing { Ord, Op, Bin, Rel, Ope, Clo, Pun, Inn };
	protected:
		// not ok, these have to be boxes themselves.
		int8_t nucleus;
		int8_t superscript;
		int8_t subscript;
};

class fraction : public math_symbol_base {
	public:
		left_delimiter();
		right_delimiter();
		thickness();
		denominator();
		numerator();
};

class textbox_base : virtual public box_base {
	public:
	protected:
		string text_;
};

class mathbox_base : virtual public box_base {
	public:
	protected:
		vector<math_symbol_base *> maths_;
};


