
#include <layout/factory.hh>

using namespace layout;

viewer_box *factory::create_viewer_box(void)
	{
	return 0;
	}

glue *factory::create_glue(void)
	{
	return new glue;
	}

text_box *factory::create_text_box(const string&txt)
	{
	return new text_box(txt);
	}

property_box *factory::create_property_box(property_box *inherit, font *f, color *fg, color *bg)
	{
	return new property_box(inherit, f,fg,bg);
	}

table *factory::create_table(void)
	{
	return new table;
	}

hbox *factory::create_hbox(void)
	{
	return new hbox;
	}

vbox *factory::create_vbox(void)
	{
	return new vbox;
	}

border_box *factory::create_border_box(void)
	{
	return new border_box;
	}

parbox *factory::create_parbox(void)
	{
	return new parbox;
	}

event_box *factory::create_event_box(void)
	{
	return new event_box;
	}

button_box *factory::create_button_box(void)
	{
	return new button_box;
	}


