theINCLUDE

theHEADER(mkeyTest (in msg_demo))


SECTION([Syntax], [
<code>#include &lt;<a href="../include/msg/demo/mkeyTest.h">msg/demo/mkeyTest.h</a>&gt;<br>
mkeyTest (int id);</code>
])
SECTION([mkeyTest], [
A simple test message just used for tests and demonstrations. It is keyed with id <code>id</code> which means the only objects interested in that particular id will receive the message.
])
SECTION([Example], [
Here is how you send a message:
<pre>
try 
  { mkeyTest m(id);
    m.Send();
  }
catch(exception& ex)
  { cerr &lt;&lt; "an error has occurred: " &lt;&lt; ex.what() &lt;&lt; endl;
    exit(1); 
  }
</pre>
])

theFOOTER
