// -*- mode: C++; c-file-style: "mnemonic"; -*-

/*
  Please send bugs, changes, problems to bugs@mnemonic.browser.org

  This program and its components are free software; you can
  redistribute it and/or modify it under the terms of the GNU General
  Public License as published by the Free Software Foundation; either
  version 2, or (at your option) any later version.

  This program and its components are distributed in the hope that it
  will be useful, but WITHOUT ANY WARRANTY; without even the implied
  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
  the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License in
  the file COPYING accompanying this program; if not, write to the
  Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "msg/demo/mTest.h"

mTest::mTest(void) 
	{
	}


untyped_message::send_result mTest_derived::send(void) 
	{
	untyped_message::send_result s1,s2;
	
	try {
		s1=message<mTest_derived>::send();
		s2=message<mTest>::send();
		}
	catch(messagebase_error &ex) {
		if(s1.is_unset())
			s2=message<mTest>::send();
		}
	return untyped_message::send_result(s1.number_of_receivers()+s2.number_of_receivers());
	}

untyped_message message<mTest>::static_part;
untyped_message message<mTest_derived>::static_part;

template message<mTest>;
template message<mTest_derived>;

template interest_base<mTest>;
template interest_base<mTest_derived>;



